List Discord messages

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /discord/{caseId}/profile/{discordId}/conversation/{conversationId}/messages

Returns one page of messages in a Discord conversation for a profile, sorted by date; searchText filters by message text. On a case shared with opposing counsel, a profile the caller may not see returns an empty page. Returns 404 when the profile is not linked to the case.

Path parameters

  • caseId string Required
  • discordId string Required
  • conversationId string Required

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • sortOrder string

    Values are asc or desc. Default value is asc.

  • searchText string

    Search message text

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object]
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • discordConversation string Required
        • discordUserProvider string Required
        • externalId string Required
        • text string | null Required
        • date string(date-time) | null Required
        • attachments string | null Required
        • metadata object | null Required

          Not filled by any importer today, so always null.

    • statusCode number Required
    • timestamp string(date-time) Required
GET /discord/{caseId}/profile/{discordId}/conversation/{conversationId}/messages
curl \
 --request GET 'http://api.example.com/discord/{caseId}/profile/{discordId}/conversation/{conversationId}/messages' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "discordConversation": "507f1f77bcf86cd799439011",
        "discordUserProvider": "65a1b2c3d4e5f6a7b8c9d0e2",
        "externalId": "1197412345678901234",
        "text": "See you at 6.",
        "date": "2026-01-15T18:02:00.000Z",
        "attachments": "https://cdn.discordapp.com/attachments/1197400000000000000/1197412345678901235/photo.png",
        "metadata": {}
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}